Subject: Re: [PATCH net,v2 0/4] Netfilter fixes for net

From: Pablo Neira Ayuso <[email-masked]>
Date: Thu, 28 Nov 2024 15:41:55 +0100

On Thu, Nov 28, 2024 at 03:33:59PM +0100, Paolo Abeni wrote:
> On 11/28/24 13:38, Pablo Neira Ayuso wrote:
> > v2: Amended missing Fixes: tag in patch #4.
> > 
> > -o-
> > 
> > Hi,
> > 
> > The following patchset contains Netfilter fixes for net:
> > 
> > 1) Fix esoteric UB due to uninitialized stack access in ip_vs_protocol_init(),
> >    from Jinghao Jia.
> > 
> > 2) Fix iptables xt_LED slab-out-of-bounds, reported by syzbot,
> >    patch from Dmitry Antipov.
> > 
> > 3) Remove WARN_ON_ONCE reachable from userspace to cap maximum cgroup
> >    levels to 255, reported by syzbot.
> > 
> > 4) Fix nft_inner incorrect use of percpu area to store tunnel parser
> >    context with softirqs, reported by syzbot.
> > 
> > Please, pull these changes from:
> > 
> >   git://git.kernel.org/pub/scm/linux/kernel/git/netfilter/nf.git nf-24-11-28
> > 
> > Thanks.
> 
> Oops... I completed the net PR a little earlier than this message, I was
> testing it up 2 now, and I just sent it to Linus. Is there anything
> above that can't wait until next week?

This can wait. I will try to post PR late wednesday moving forward.